import 'package:get/get.dart';

class Translation extends Translations {
  @override
  Map<String, Map<String, String>> get keys => {
        'ru_RU': {
          'start': 'Начать',
          'description':
              'Приложение погоды, которое предоставляет прогнозы в режиме реального времени, а также ежечасные, ежедневные и еженедельные прогнозы для любого местоположения.',
          'name': 'Погода',
          'search': 'Поиск...',
          'loading': 'Загрузка...',
          'searchCity': 'Найдите свой город',
          'humidity': 'Влажность',
          'wind': 'Ветер',
          'visibility': 'Видимость',
          'feels': 'Ощущается',
          'evaporation': 'Испарения',
          'precipitation': 'Осадки',
          'direction': 'Направление',
          'pressure': 'Давление',
          'rain': 'Дождь',
          'clear_sky': 'Чистое небо',
          'cloudy': 'Облачно',
          'overcast': 'Пасмурно',
          'fog': 'Туман',
          'drizzle': 'Морось',
          'drizzling_rain': 'Моросящий дождь',
          'freezing_rain': 'Ледяной дождь',
          'heavy_rains': 'Ливневые дожди',
          'snow': 'Снег',
          'thunderstorm': 'Гроза',
          'kph': 'км/ч',
          'mph': 'миль/ч',
          'mi': 'миль',
          'km': 'км',
          'inch': 'дюйм',
          'mm': 'мм',
          'hPa': 'ГПа',
          'settings': 'Настр.',
          'no_inter': 'Нет интернета',
          'on_inter':
              'Включите интернет для получения метеорологических данных.',
          'location': 'Местоположение',
          'no_location':
              'Включите службу определения местоположения для получения метеорологических данных для текущего местоположения.',
          'about': 'О нас',
          'aboutDesc':
              'Это проект с открытым исходным кодом.\nЕсли вам понравилась наша работа поставьте несколько 🌟 и ❤ на репозитории.',
          'author': 'Сделано с ❤ от',
          'theme': 'Тёмная тема',
          'low': 'Низкое',
          'high': 'Высокое',
          'normal': 'Нормальное',
          'lat': 'Широта',
          'lon': 'Долгота',
          'notFound': 'Ничего не найдено',
          'enter_name': 'Введите название',
          'create': 'Создание',
          'city': 'Город',
          'district': 'Район',
          'noWeatherCard': 'Добавьте город',
          'deletedCardWeather': 'Удаление города',
          'deletedCardWeatherQuery': 'Вы уверены, что хотите удалить город?',
          'delete': 'Удалить',
          'cancel': 'Отмена',
          'time': 'Время в городе',
          'validateName': 'Пожалуйста, введите название',
          'measurements': 'Система мер',
          'degrees': 'Градусы',
          'celsius': 'Цельсия',
          'fahrenheit': 'Фаренгейта',
          'imperial': 'Имперская',
          'metric': 'Метрическая',
          'validateValue': 'Пожалуйста, введите значение',
          'validateNumber': 'Пожалуйста, введите число',
          'validate90': 'Значение должно быть в диапазоне от -90 до 90',
          'validate180': 'Значение должно быть в диапазоне от -180 до 180',
          'notifications': 'Уведомления',
          'sunrise': 'Рассвет',
          'sunset': 'Закат',
        },
        'en_US': {
          'start': 'Get Started',
          'description':
              'Weather app that provides real-time forecasts, and hourly, daily and weekly forecasts for any location.',
          'name': 'Weather',
          'search': 'Search...',
          'loading': 'Loading...',
          'searchCity': 'Find your city',
          'humidity': 'Humidity',
          'wind': 'Wind',
          'visibility': 'Visibility',
          'feels': 'Feels',
          'evaporation': 'Evapotranspiration',
          'precipitation': 'Precipitation',
          'direction': 'Direction',
          'pressure': 'Pressure',
          'rain': 'Rain',
          'clear_sky': 'Clear sky',
          'cloudy': 'Cloudy',
          'overcast': 'Overcast',
          'fog': 'Fog',
          'drizzle': 'Drizzle',
          'drizzling_rain': 'Freezing Drizzle',
          'freezing_rain': 'Freezing Rain',
          'heavy_rains': 'Rain showers',
          'snow': 'Snow',
          'thunderstorm': 'Thunderstorm',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Set.',
          'no_inter': 'No Internet',
          'on_inter': 'Turn on the Internet to get meteorological data.',
          'location': 'Location',
          'no_location':
              'Enable the location service to get weather data for the current location.',
          'about': 'About us',
          'aboutDesc':
              'This is an open source project.\nif you liked our work, put a few 🌟 and ❤ on the repositories.',
          'author': 'Made with ❤ from',
          'theme': 'Dark theme',
          'low': 'Low',
          'high': 'High',
          'normal': 'Normal',
          'lat': 'Latitude',
          'lon': 'Longitude',
          'notFound': 'Nothing found',
          'enter_name': 'Enter name',
          'create': 'Create',
          'city': 'City',
          'district': 'District',
          'noWeatherCard': 'Add a city',
          'deletedCardWeather': 'Deleting a city',
          'deletedCardWeatherQuery':
              'Are you sure you want to delete the city?',
          'delete': 'Delete',
          'cancel': 'Cancel',
          'time': 'Time in the city',
          'validateName': 'Please enter the name',
          'measurements': 'System of measures',
          'degrees': 'Degrees',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperial',
          'metric': 'Metric',
          'validateValue': 'Please enter a value',
          'validateNumber': 'Please enter a valid number',
          'validate90': 'Value must be between -90 and 90',
          'validate180': 'Value must be between -180 and 180',
          'notifications': 'Notifications',
          'sunrise': 'Sunrise',
          'sunset': 'Sunset',
        },
        'fr_FR': {
          'start': 'Démarrer',
          'description':
              'Application météo qui fournit des prévisions en temps réel, horaires, quotidiennes et hebdomadaires pour n\'importe quel lieu.',
          'name': 'Météo',
          'search': 'Rechercher...',
          'loading': 'Chargement...',
          'searchCity': 'Trouver votre ville',
          'humidity': 'Humidité',
          'wind': 'Vent',
          'visibility': 'Visibilité',
          'feels': 'Ressenti',
          'evaporation': 'Evaporation',
          'precipitation': 'Précipitation',
          'direction': 'Direction',
          'pressure': 'Pression',
          'rain': 'Pluie',
          'clear_sky': 'Ciel dégagé',
          'cloudy': 'Nuageux',
          'overcast': 'Couvert',
          'fog': 'Brouillard',
          'drizzle': 'Bruine',
          'drizzling_rain': 'Brouillard givrant',
          'freezing_rain': 'Pluie verglaçante',
          'heavy_rains': 'Averses de pluie',
          'snow': 'Neige',
          'thunderstorm': 'Orage',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Par.',
          'no_inter': 'Pas de réseau',
          'on_inter':
              'Connectez-vous à internet pour obtenir des données météorologiques.',
          'location': 'Localisation',
          'no_location':
              'Activez le service de localisation pour obtenir les données météorologiques de l\'endroit actuel.',
          'about': 'A propos de nous',
          'aboutDesc':
              'C\'est un projet open source.\nSi vous aimez notre travail, mettez quelques 🌟 et ❤ sur le dépôt.',
          'author': 'Fait avec ❤ par',
          'theme': 'Theme sombre',
          'low': 'Bas',
          'high': 'Haut',
          'normal': 'Normal',
          'lat': 'Latitude',
          'lon': 'Longitude',
          'notFound': 'Rien trouvé',
          'enter_name': 'Entrez un nom',
          'create': 'Créer',
          'city': 'Ville',
          'district': 'District',
          'noWeatherCard': 'Ajouter une ville',
          'deletedCardWeather': 'Supprimer une ville',
          'deletedCardWeatherQuery':
              'Êtes-vous sûr de vouloir supprimer la ville ?',
          'delete': 'Supprimer',
          'cancel': 'Annuler',
          'time': 'Heure locale',
          'validateName': 'Veuillez saisir le nom',
          'measurements': 'Système de mesures',
          'degrees': 'Degrés',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperial',
          'metric': 'Métrique',
          'validateValue': 'Veuillez saisir une valeur',
          'validateNumber': 'Veuillez saisir un numéro valide',
          'validate90': 'La valeur doit être comprise entre -90 et 90',
          'validate180': 'La valeur doit être comprise entre -180 et 180',
          'notifications': 'Notifications',
          'sunrise': 'Lever du soleil',
          'sunset': 'Coucher du soleil',
        },
        'it_IT': {
          'start': 'Clicca per iniziare',
          'description':
              'App meteo che fornisce previsioni in tempo reale, oltre a previsioni orarie, giornaliere e settimanali per qualsiasi località.',
          'name': 'Meteo',
          'search': 'Cerca...',
          'loading': 'Caricamento...',
          'searchCity': 'Trova la tua città',
          'humidity': 'Umidità',
          'wind': 'Vento',
          'visibility': 'Visibilità',
          'feels': 'Percepiti',
          'evaporation': 'Evapotraspirazione',
          'precipitation': 'Precipitazione',
          'direction': 'Direzione',
          'pressure': 'Pressione',
          'rain': 'Pioggia',
          'clear_sky': 'Cielo sereno',
          'cloudy': 'Nuvoloso',
          'overcast': 'Coperto',
          'fog': 'Nebbia',
          'drizzle': 'Pioggerella',
          'drizzling_rain': 'Pioggerella Gelata',
          'freezing_rain': 'Pioggia Gelata',
          'heavy_rains': 'Acquazzone',
          'snow': 'Neve',
          'thunderstorm': 'Temporale',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Imp.',
          'no_inter': 'Non c\'è connessione Internet',
          'on_inter':
              'Attiva la connessione Internet per avere dati meteorologici.',
          'location': 'Località',
          'no_location':
              'Abilita il servizio di localizzazione per ottenere i dati meteo per la posizione corrente.',
          'about': 'Chi siamo',
          'aboutDesc':
              'Questo è un progetto open source.\nSe ti è piaciuto il nostro lavoro, metti delle 🌟 e ❤ sui repository.',
          'author': 'Fatto con il ❤ da',
          'theme': 'Tema scuro',
          'low': 'Basso',
          'high': 'Alto',
          'normal': 'Normale',
          'lat': 'Latitudine',
          'lon': 'Longitudine',
          'notFound': 'Niente trovato',
          'enter_name': 'Inserisci un nome',
          'create': 'Creare',
          'city': 'Citta',
          'district': 'La zona',
          'noWeatherCard': 'Aggiungi una città',
          'deletedCardWeather': 'Rimozione della città',
          'deletedCardWeatherQuery': 'Sei sicuro di voler rimuovere una città?',
          'delete': 'Eliminare',
          'cancel': 'Annullare',
          'time': 'Tempo in città',
          'validateName': 'Si prega di inserire il titolo',
          'measurements': 'Sistema di misure',
          'degrees': 'Gradi',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperiale',
          'metric': 'Metrico',
          'validateValue': 'Si prega di inserire il valore',
          'validateNumber': 'Si prega di inserire il numero',
          'validate90': 'Il valore deve essere compreso tra -90 e 90',
          'validate180': 'Il valore deve essere compreso tra -180 e 180',
          'notifications': 'Notifiche',
          'sunrise': 'Alba',
          'sunset': 'Tramonto',
        },
        'de_DE': {
          'start': 'Los gehts',
          'description':
              'Wetter-App, die Echtzeit-Vorhersagen sowie stündliche, tägliche und wöchentliche Vorhersagen für jeden Standort bietet.',
          'name': 'Wetter',
          'search': 'Laden...',
          'loading': 'Loading...',
          'searchCity': 'Finde deine Stadt',
          'humidity': 'Luftfeuchtigkeit',
          'wind': 'Wind',
          'visibility': 'Sichtweite',
          'feels': 'Gefühlt',
          'evaporation': 'Verdunstung',
          'precipitation': 'Niederschlag',
          'direction': 'Richtung',
          'pressure': 'Druck',
          'rain': 'Regen',
          'clear_sky': 'Klarer Himmel',
          'cloudy': 'Bewölkt',
          'overcast': 'Bedeckt',
          'fog': 'Nebel',
          'drizzle': 'Nieselregen',
          'drizzling_rain': 'Gefrierender Nieselregen',
          'freezing_rain': 'Gefrierender Regen',
          'heavy_rains': 'Regenschauer',
          'snow': 'Schnee',
          'thunderstorm': 'Gewitter',
          'kph': 'km/h',
          'mph': 'mph',
          'mi': 'mi',
          'km': 'km',
          'inch': 'inch',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Einstellungen',
          'no_inter': 'Es gibt kein Internet',
          'on_inter':
              'Schalte das Internet ein, um meteorologische Daten zu erhalten.',
          'location': 'Standort',
          'no_location':
              'Aktiviere den Standortdienst, um Wetterdaten für den aktuellen Standort zu erhalten.',
          'about': 'Über uns',
          'aboutDesc':
              'Dies ist ein Open-Source-Projekt.\nWenn Ihnen unsere Arbeit gefallen hat, geben Sie den Repositories bitte ein paar 🌟 und ❤.',
          'author': 'Gemacht mit ❤ von',
          'theme': 'Dunkles Design',
          'low': 'Niedrig',
          'high': 'Hoch',
          'normal': 'Normal',
          'lat': 'Breitengrad',
          'lon': 'Längengrad',
          'notFound': 'Nichts gefunden',
          'enter_name': 'Geben Sie einen Namen ein',
          'create': 'Erstellen',
          'city': 'Stadt',
          'district': 'Bezirk',
          'noWeatherCard': 'Füge eine Stadt hinzu',
          'deletedCardWeather': 'Löschen einer Stadt',
          'deletedCardWeatherQuery':
              'Sind Sie sicher, dass Sie die Stadt löschen möchten?',
          'delete': 'Löschen',
          'cancel': 'Abbrechen',
          'time': 'Ortszeit',
          'validateName': 'Bitte geben Sie den Namen ein',
          'measurements': 'Maßsystem',
          'degrees': 'Grade',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'Imperiales',
          'metric': 'Metrisches',
          'validateValue': 'Bitte geben Sie einen Wert ein',
          'validateNumber': 'Bitte geben Sie eine Nummer ein',
          'validate90': 'Der Wert muss zwischen -90 und 90 liegen',
          'validate180': 'Der Wert muss zwischen -180 und 180 liegen',
          'notifications': 'Benachrichtigungen',
          'sunrise': 'Sonnenaufgang',
          'sunset': 'Sonnenuntergang',
        },
        'tr_TR': {
          'start': 'Başlat',
          'description':
              'Herhangi bir konum için gerçek zamanlı, saatlik, günlük ve haftalık hava durumu tahminleri sunan bir hava durumu uygulaması.',
          'name': 'Hava Durumu',
          'search': 'Arayış...',
          'loading': 'Yükleniyor...',
          'searchCity': 'Şehrinizi bulun',
          'humidity': 'Nem',
          'wind': 'Rüzgar',
          'visibility': 'Görüş',
          'feels': 'Hissedilen',
          'evaporation': 'Buharlaşma',
          'precipitation': 'Yağış',
          'direction': 'Yön',
          'pressure': 'Basınç',
          'rain': 'Yağmur',
          'clear_sky': 'Açık gökyüzü',
          'cloudy': 'Bulutlu',
          'overcast': 'Kapalı',
          'fog': 'Sis',
          'drizzle': 'Çiseleme',
          'drizzling_rain': 'Çiseleyen Yağmur',
          'freezing_rain': 'Dondurucu Yağmur',
          'heavy_rains': 'Aşırı Yağmurlar',
          'snow': 'Kar',
          'thunderstorm': 'Gök Gürültülü Fırtına',
          'kph': 'km/sa',
          'mph': 'mil/sa',
          'mi': 'mil',
          'km': 'km',
          'inch': 'inç',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Ayarlar',
          'no_inter': 'İnternet yok',
          'on_inter': 'Hava durumu verilerini almak için interneti açın.',
          'location': 'Konum',
          'no_location':
              'Mevcut konumun hava durumu verilerini almak için konum servisini açın.',
          'about': 'Hakkımızda',
          'aboutDesc':
              'Bu, açık kaynak kodlu bir proje.\nÇalışmamızı beğendiyseniz, lütfen depolarda birkaç 🌟 ve ❤ ekleyin.',
          'author': 'Ile yapıldı ❤',
          'theme': 'Karanlık tema',
          'low': 'Düşük',
          'high': 'Yüksek',
          'normal': 'Normal',
          'lat': 'Enlem',
          'lon': 'Boylam',
          'notFound': 'Bulunamadı',
          'enter_name': 'İsim girin',
          'create': 'Oluştur',
          'city': 'Şehir',
          'district': 'İlçe',
          'noWeatherCard': 'Şehri ekle',
          'deletedCardWeather': 'Şehir silme',
          'deletedCardWeatherQuery':
              'Şehri silmek istediğinizden emin misiniz?',
          'delete': 'Sil',
          'cancel': 'İptal',
          'time': 'Şehirde Saat',
          'validateName': 'Lütfen bir isim girin',
          'measurements': 'Ölçüm sistemi',
          'degrees': 'Dereceler',
          'celsius': 'Celsius',
          'fahrenheit': 'Fahrenheit',
          'imperial': 'İmparatorluk',
          'metric': 'Metrik',
          'validateValue': 'Lütfen bir değer girin',
          'validateNumber': 'Lütfen bir sayı girin',
          'validate90': 'Değer -90 ile 90 arasında olmalıdır',
          'validate180': 'Değer -180 ile 180 arasında olmalıdır',
          'notifications': 'Bildirme',
          'sunrise': 'Güneş doğuşu',
          'sunset': 'Güneş batışı',
        },
      };
}
